Summary:       The GNU asynchronous DNS resolver library
Name:          adns
Version:       1.5.0
Release:       1%{?dist}%{?pext}
License:       GPLv3
Group:         System Environment/Libraries
Source0:       http://www.chiark.greenend.org.uk/~ian/%{name}/%{name}-%{version}.tar.gz
Patch0:        %{name}-1.5.0-install.patch
URL:           http://www.chiark.greenend.org.uk/~ian/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Ian Jackson <ijackson@chiark.greenend.org.uk>
Obsoletes:     libadns < %{version}-%{release}
Obsoletes:     %{name}-libs < %{version}-%{release}
Obsoletes:     %{name}-lib < %{version}-%{release}

%description
GNU %{name} is an advanced, easy to use and asynchronous-capable resolver
library for C programs.


%package       devel
Summary:       Development tools for GNU %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Obsoletes:     libadns-devel < %{version}-%{release}

%description   devel
The %{name}-devel package contains the libraries and header files for
developing software using GNU %{name}.


%package       static
Summary:       Static libraries for GNU %{name}
Group:         Development/Libraries
Requires:      %{name}-devel = %{version}-%{release}

%description   static
The %{name}-static package contains the statically linkable libraries for
GNU %{name}.


%package       utils
Summary:       Utilities for GNU %{name}
Group:         Applications/System
Requires:      %{name} = %{version}-%{release}
Obsoletes:     libadns-progs < %{version}-%{release}
Obsoletes:     %{name}-progs < %{version}-%{release}
Obsoletes:     %{name}-prog < %{version}-%{release}

%description   utils
The %{name}-utils package contains a collection of useful DNS resolver
utilities using GNU %{name}.


%prep
%setup -q
%patch0 -p1


%build
%configure \
	--enable-dynamic

%{__make} %{?_smp_mflags}


%check
%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

# Cleanup
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.{?,??}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING GPL* INSTALL NEWS README TODO
%{_libdir}/libadns.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/adns.h
%{_libdir}/libadns.so

%files static
%defattr(-,root,root)
%{_libdir}/libadns.a

%files utils
%defattr(-,root,root)
%{_bindir}/adnsheloex
%{_bindir}/adnshost
%{_bindir}/adnslogres
%{_bindir}/adnsresfilter


%changelog
* Mon Feb 09 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.5.0-1
- New version (1.5.0)

* Fri Apr 19 2013 Peter Pramberger <peterpramb@member.fsf.org> - 1.4-5
- Splitted static libraries from devel package

* Wed Mar 26 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.4-4
- Rewritten for buildsystem

* Thu Jan 25 2007 peter.pramberger@member.fsf.org 1.4-3
- some spec file cleanups (x86_64 support)

* Fri Dec 15 2006 peter.pramberger@member.fsf.org 1.4-2
- created
